function spektrum = p_burg(x,p) % autoregresní model

a = arburg(x,p); % odhad parametrů 'a' AR modelu Burgovou metodou
y = filter(1,a,x); % filtruje data z vektoru 'x' (filtr v čitateli s vektorem 1 /iir/ a ve jmenovateli s vektorem 'a')
spektrum = pburg(y,p); % odhad výkonnostního spektra vektoru 'y' - výstup pro hlavní funkce

